/*
    Introduction to OOP with Java (5th Ed), McGraw-Hill

    Wu/Otani

    Chapter 9 Sample Program: Constructs a new sentence from
                              input words that have an even number of letters.

    File: Ch9EvenLetterWords.java
*/

import java.util.*;

class Ch9EvenLetterWords {

    public static void main (String[] args) {

        Scanner scanner = new Scanner(System.in);
        
        boolean      repeat = true;

        String       word;

        StringBuffer tempStringBuffer = new StringBuffer("");

        while ( repeat ) {

            System.out.print("Next word:");
            word = scanner.next();
            
            if ( word.equals("STOP") )

              repeat = false;

            else if ( word.length() % 2 == 0 )

              tempStringBuffer.append(word + " ");

        }

        System.out.println("Output: " + tempStringBuffer);
    }
}