/*
    Introduction to OOP with Java (5th Ed), McGraw-Hill

    Wu/Otani

    Chapter 9 Sample Program:

            Determine the GC-content of a given DNA sequence.
            DNA sequence is represented as string of four letters
            A, T, G, and C.

    File: Ch9GCContent.java
*/

import java.util.*;

class Ch9GCContent {

    public static void main (String[] args) {

        Scanner scanner = new Scanner(System.in);
        
        String dna;
        
        int    gcCount;
        int    size;
        char   base;
        double result;

        while (true) {

            System.out.print("Next DNA Sequence: ");           
            dna = scanner.next();
            
            if (dna.equalsIgnoreCase("STOP") )   {
                break;
            }
            
            size = dna.length();
            gcCount = 0;
            
            //scan through each letter and determine if its
            //G or C
            for (int i = 0; i < size; i++) {
            	
            	base = dna.charAt(i);
            	
            	if (base == 'G' || base == 'C') {
            		gcCount++;
            	}
            }
            
            result = gcCount * 100 / size;
            
            System.out.println("GC-Content: " + result + "%");
            System.out.println("");            
        }
    }
}